## org.apache.lucene.queryParser.core.config
Interface FieldConfigListener

All Known Implementing Classes:
  FieldBoostMapFCListener, FieldDateResolutionFCListener

    public interface FieldConfigListener

This interface should be implemented by classes that wants to listen for field configuration requests. The implementation receives a `FieldConfig` object and may add/change its attributes.

See Also:
  `FieldConfig`, `QueryConfigHandler`

Method Summary
`void` `buildFieldConfig(FieldConfig fieldConfig)` This method is called ever time a field configuration is requested.

Method Detail

### buildFieldConfig

    void buildFieldConfig(FieldConfig fieldConfig)

  This method is called ever time a field configuration is requested.

  Parameters:
    `fieldConfig` - the field configuration requested, should never be null

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.